Skip to main content
POST

Authorizations

x-client-id
string
header
required

Client app ID. You can find your app id in the Merchant Dashboard.

x-client-secret
string
header
required

Client secret key. You can find your secret in the Merchant Dashboard.

Headers

x-api-version
string
default:2023-08-01
required

API version to be used

x-request-id
string

Request id for the API call. Can be used to resolve tech issues. Communicate this in your tech related queries to cashfree

x-idempotency-key
string<UUID>

An idempotency key is a unique identifier you include with your API call. If the request fails or times out, you can safely retry it using the same key to avoid duplicate actions.

Body

application/json

Request body to create an offer at Cashfree

create offer backend request object

offer_meta
OfferMeta · object
required

Offer meta details object

Example:
offer_tnc
OfferMeta · object
required

Offer terms and condition object

Example:
offer_details
OfferDetails · object
required

Offer details and type

Example:
offer_validations
OfferValidations · object
required

Offer validation object

Example:

Response

OK

Offer entity object

offer_id
string
Example:

"d2b430fb-1afe-455a-af31-66d00377b29a"

offer_status
string
Example:

"active"

offer_meta
OfferMeta · object

Offer meta details object

Example:
offer_tnc
OfferMeta · object

Offer terms and condition object

Example:
offer_details
OfferDetails · object

Offer details and type

Example:
offer_validations
OfferValidations · object

Offer validation object

Example: